> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit report to registry

> Submits a report to the registry. Returns an async task. The report must meet all submission requirements.



## OpenAPI

````yaml POST /reports/{report_id}/submit
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /reports/{report_id}/submit:
    post:
      summary: Submit a report to registry
      description: >-
        Submits a report to the registry. Returns an async task. The report must
        meet all submission requirements.
      operationId: submit-report
      parameters:
        - name: report_id
          in: path
          description: Report friendly ID (e.g., rpt_abc123def456)
          schema:
            type: string
          required: true
      responses:
        '202':
          description: '202'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: rpt_abc123def456
                    status: submitting
                    async_task_id: 1
              schema:
                type: object
                properties:
                  id:
                    type: string
                  status:
                    type: string
                  async_task_id:
                    type: integer
        '422':
          description: '422'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: error
                    statusCode: 422
                    errors:
                      - message: Report does not meet submission requirements
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````